#ifndef MAIN_MENU_H
#define MAIN_MENU_H

#include <utils/maths.h>

struct Button
{
	Vec2 pos;
	Vec2 size;
};

bool buttonIsSelected(const Button* button);

class MainMenu
{
public:
	MainMenu();
	~MainMenu();

	void Update();
	void Render();

private:
	Button m_startGameButton;
	Button m_quitButton;

};

extern MainMenu* g_pMainMenu;

#endif // !MAIN_MENU_H
